Skip Menu |
 

This queue is for tickets about the AnyEvent-Monitor CPAN distribution.

Report information
The Basics
Id: 64259
Status: new
Priority: 0/
Queue: AnyEvent-Monitor

People
Owner: Nobody in particular
Requestors: james2vegas [...] aim.com
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 0.32
Fixed in: (no value)



Subject: Perl 5.10.1 marked as required, can build on at least 5.8.9
After removing references to 5.10.1 from META.yml and lib/AnyEvent/Monitor.pm:

Show quoted text
# perl Makefile.PL
Cannot determine perl version info from lib/AnyEvent/Monitor.pm
Checking if your kit is complete...
Looks good
Writing Makefile for AnyEvent::Monitor
Show quoted text
# make
cp lib/AnyEvent/Monitor.pm blib/lib/AnyEvent/Monitor.pm
Manifying blib/man3/AnyEvent::Monitor.3
Show quoted text
# make test
PERL_DL_NONLAZY=1 /usr/local/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t
t/00_compile.t .. ok  
t/basic.t ....... ok  
All tests successful.
Files=2, Tests=2,  1 wallclock secs ( 0.03 usr  0.00 sys +  0.12 cusr  0.02 csys =  0.18 CPU)
Result: PASS
Show quoted text
#



This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.